#! /bin/sh

# Correct working directory?
if test ! -f configure.ac ; then
  echo "*** Please invoke this script from directory containing configure.ac."
  exit 1
fi

echo "Running aclocal..."
aclocal

MACROFILE=aclocal.m4
MACRODIR=mk/autoconf
                                                                                
# Creating normal configure file
#rm -f $MACROFILE
for i in $MACRODIR/*.m4 ; do
  cat $i >> $MACROFILE
done

echo "Running autoheader..."
autoheader
echo "Running autoconf..."
autoconf
rm -f $MACROFILE
rm -rf autom4te.cache
echo "Done. Please run ./configure"

