#include "cssysdef.h"
#include "contact.h"
#include "chat.h"
#include "betaverse.h"
#include "paws/pawsmanager.h"
#include "paws/pawslistbox.h"
#include "paws/pawsbutton.h"

SCF_IMPLEMENT_IBASE( ContactWindow )
SCF_IMPLEMENT_IBASE_END

ContactWindow::ContactWindow( PawsManager *pawsMan) : 
  pawsWidget( pawsMan )
{
}

ContactWindow::~ContactWindow()
{
}

bool ContactWindow::PostSetup()
{
  contacts = (pawsListBox *)FindWidget( "contactList" );
  //printf( "Contacts WM: %u\n", WindowManager() );
  return true;
}

void ContactWindow::Init( BetaVerse *beta )
{
  bv = beta;
}

bool ContactWindow::OnGainFocus( bool notifyParent )
{
  printf( "ContactWindow::OnGainedFocus()\n" ); 
  ChatWindow *chat = (ChatWindow *)FindWidget( "ChatBox" );
  chat->Show();
  
  return true;
}

void ContactWindow::AddBuddy( csString nick )
{
#if 0
  pawsListBoxRow *row;
  pawsTextBox *text;
  
  row = contacts->NewRow();
  text = (pawsTextBox *)row->GetColumn(2);
  text->SetText( nick.GetData() );
#endif  
  return;
}

void ContactWindow::AddRoommate( csString nick )
{
  pawsListBoxRow *row;
  pawsTextBox *text;
  
  CS_ASSERT( contacts );
    
  row = contacts->NewRow();
  CS_ASSERT( row );
  text = (pawsTextBox *)row->GetColumn(1);
  if( text == NULL )
    printf( "Error: Null Text Box\n" );
  text->SetText( nick.GetData() );  
  //printf( "AddRoommate(): SetText: %s\n", nick.GetData() );
  return;
}

void ContactWindow::RemoveBuddy( csString nick )
{
  return;
}

void ContactWindow::RemoveRoommate( csString nick )
{
  return;
}

void ContactWindow::ShowBuddies()
{
  return;
}

void ContactWindow::ShowRoommates()
{
  return;
}
