#include "cssysdef.h"

#include "mainwidget.h"
#include "chat.h"
#include "paws/pawsmanager.h"

MainWidget::MainWidget( PawsManager *pMan ) :
  pawsMainWidget( pMan )
{
}

MainWidget::~MainWidget()
{
}

bool MainWidget::OnMouseDown( int button, int modifiers, int x, int y )
{
  if( button == 2 )
  {
    //toggle Chat Window..
    ChatWindow *chat = (ChatWindow *)FindWidget( "ChatBox" );
    if( chat->IsVisible() )
      chat->Hide();
    else
      chat->Show();
      
    return true;
  }

  if( button == 1 )
  {
    return true;
  }
  return false;
} 

bool MainWidget::OnKeyDown(int keyCode, int key, int modifiers )
{
  return false;
}

bool MainWidget::OnMouseUp( int button, int modifiers, int x, int y )
{
  return false;
}
  
