#ifndef __CONTACT_H__
#define __CONTACT_H__

#include "paws/pawswidget.h"

struct pawsListBox;
struct pawsButton;
struct BetaVerse;
struct PawsManager;

class ContactWindow : public pawsWidget
{
public:
  SCF_DECLARE_IBASE;
  
  ContactWindow( PawsManager *pawsMan );
  virtual ~ContactWindow();
  virtual bool PostSetup();
  virtual bool OnGainFocus( bool notifyParent=true );
  
  void Init( BetaVerse *beta );
  
  void AddBuddy( csString nick );
  void RemoveBuddy( csString nick );
  
  void AddRoommate( csString nick );
  void RemoveRoommate( csString nick );
  
  void ShowBuddies();
  void ShowRoommates(); 
  
private:
  PawsManager *pMan;
  pawsListBox *contacts;
  pawsButton *roommates;
  pawsButton *buddies;
  BetaVerse *bv;
};

CREATE_PAWS_FACTORY( ContactWindow );

#endif
