/*******************************************************************************
*
* BetaNet.h
*  - written by: mason m4s0n_j0y3r5@yahoo.com
*
*******************************************************************************/

#ifndef __BETANET_H__
#define __BETANET_H__


struct BetaVerse;
struct csString;

struct iObjectRegistry;

class BetaNet
{
public:
  BetaNet();
  int SendIRC( csString msg );
  int RecvIRC( csString &msg );
  bool Init( iObjectRegistry *objreg, csString server, int port, BetaVerse *beta );
  void Parse();
  void ParseLine( csString msg );
  void Ping( csString msg );
  void PrivMsg( csString from, csString command, csString params, csString rest );
  void Names( csString from, csString command, csString params, csString rest );
  void Join( csString from, csString command, csString params, csString rest );
  void Part( csString from, csString command, csString params, csString rest );

private:
  csString buf;
  bool buffer;
  bool first;
  iObjectRegistry *objreg;
  
  
  BetaVerse *bv;
};
#endif
