/*
 * psconst.h
 *
 * Copyright (C) 2003 PlaneShift Team (info@planeshift.it,
 * http://www.planeshift.it)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation (version 2 of the License)
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *
 */

#define CS_PRIORITY_USE_CAMERA    true

#define CEL_CAMERA_USE_CD  true
#define CEL_CAMERA_NO_CD   false

#define CEL_MESHSELECT_CAMERA_SPACE  true
#define CEL_MESHSELECT_WORLD_SPACE   false

#define CS_TEXTURE_CREATE_MATERIAL true

#define CS_MUTEX_RECURSIVE  true

#define SOCKET_CLOSE_FORCED  true

#define CS_FOLLOW_ONLY_PORTALS true

#define CS_LIGHT_STATIC CS_LIGHT_DYNAMICTYPE_STATIC
#define CS_LIGHT_PSEUDO CS_LIGHT_DYNAMICTYPE_PSEUDO

#define CS_LOADER_CLEAR_WORLD true
#define CS_LOADER_KEEP_WORLD  false

#define CS_LOADER_ONLY_REGION    true
#define CS_LOADER_ACROSS_REGIONS false

#define DEF_PROX_DIST   100        // 100m is trial distance here
#define DEF_UPDATE_DIST   3        //  30m is trial (default) delta to update
#define PROX_LIST_ANY_RANGE 0.0	  // range of 0 means all members of proxlist in multicast.
/*  Dynamic proxlist range settings.
 *   The dynamic proxlist shrinks range in steps (maximum of 1 step per proxlist update)
 *   if the number of player entities on the proxlist exceeds PROX_LIST_SHRINK_THRESHOLD.
 *   When the number of entities is below PROX_LIST_REGROW_THRESHOLD and the range is
 *   below gemObject::prox_distance_desired, the range is increased.
 */
#define PROX_LIST_SHRINK_THRESHOLD  50   // 50 players in range - start radius shrink
#define PROX_LIST_REGROW_THRESHOLD  30   // 30 players in range - start radius grow
#define PROX_LIST_STEP_SIZE         10   // grow by this much each attempt

#define ASSIST_MAX_DIST 25   // Maximum distance that the /assist command will work

#define EXCHANGE_SLOT_COUNT         8
#define INVENTORY_BULK_COUNT        32
#define PSITEM_MAX_CONTAINER_SLOTS  16   // maximum number of items an object can contain

#define GLYPH_WAYS               6
#define GLYPH_ASSEMBLER_SLOTS    4

#define DATABASE_VERSION_STR "1039"

#define RANGE_TO_SELECT 5
#define RANGE_TO_USE 2

#define IS_CONTAINER true

#define MAX_GUILD_LEVEL    9
